import { z, ZodType } from 'zod';

export class MenuItemValidation {
  static readonly CREATE: ZodType = z.object({
    name: z.string({ message: 'Name must be filled' }),
    url: z.string({ message: 'URL must be filled' }),
  });

  static readonly UPDATE: ZodType = z.object({
    name: z.string({ message: 'Name must be filled' }),
    url: z.string({ message: 'URL must be filled' }),
  });
}
